HttpTransfer (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.wrappers
Class HttpTransfer

    java.lang.Object
      net.sf.jftp.net.Transfer
          net.sf.jftp.net.wrappers.HttpTransfer

All Implemented Interfaces:
  java.lang.Runnable

    public class HttpTransfer

extends Transfer
implements java.lang.Runnable

Field Summary
`boolean` | `pause`
`java.lang.Thread` | `runner`
`boolean` | `work`

Fields inherited from class net.sf.jftp.net.Transfer
`DOWNLOAD, PAUSED, QUEUED, REMOVED, UPLOAD`

Constructor Summary
`HttpTransfer(java.lang.String url, java.lang.String localPath, java.util.Vector listeners, ConnectionHandler handler)`

Method Summary
`void` | `fireProgressUpdate(java.lang.String file, java.lang.String type, int bytes)`
`DataConnection` | `getDataConnection()`
`FtpConnection` | `getFtpConnection()`
`int` | `getStatus()`
`boolean` | `hasStarted()`
`void` | `prepare()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### work

    public boolean work

### pause

    public boolean pause

### runner

    public java.lang.Thread runner

Constructor Detail

### HttpTransfer

    public HttpTransfer(java.lang.String url,
                        java.lang.String localPath,
                        java.util.Vector listeners,
                        ConnectionHandler handler)

Method Detail

### prepare

    public void prepare()

  Specified by:
    `prepare` in class `Transfer`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### fireProgressUpdate

    public void fireProgressUpdate(java.lang.String file,
                                   java.lang.String type,
                                   int bytes)

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in class `Transfer`

### hasStarted

    public boolean hasStarted()

  Specified by:
    `hasStarted` in class `Transfer`

### getFtpConnection

    public FtpConnection getFtpConnection()

  Specified by:
    `getFtpConnection` in class `Transfer`

### getDataConnection

    public DataConnection getDataConnection()

  Specified by:
    `getDataConnection` in class `Transfer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD